''




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from prewikka import env
from prewikka.utils import nameToPath
from prewikka.templates.TopLayout import TopLayout

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1499451978.153826
__CHEETAH_genTimestamp__ = 'Fri Jul  7 18:26:18 2017'
__CHEETAH_src__ = 'prewikka/templates/ClassicLayout.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Apr 22 21:28:03 2016'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class ClassicLayout(TopLayout):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(ClassicLayout, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def toplayout_content(self, **KWS):



        ## CHEETAH: generated from #block toplayout_content at line 5, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_83770196 = _filter
        filterName = u'CleanOutput'
        if self._CHEETAH__filters.has_key("CleanOutput"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<script type="text/javascript">

function check_same_origin(url) {
    /*
     * Force url.hostname to be defined in IE9
     * (problem with dynamically created links)
     */
    if ( ! url.hostname )
        url.href = url.href;

    /*
     * When the default port is used in IE9,
     * location.port is empty but url.port is not
     */
    default_port = {"http:": "80", "https:": "443"};
    return url.protocol == location.protocol && url.hostname == location.hostname && (url.port || default_port[url.protocol]) == (location.port || default_port[location.protocol]);
}

$(document).ready(function() {
        prewikka_loadTab({url: "''')
        _v = VFFSL(SL,"document.fullhref",True) # u'$document.fullhref' on line 26, col 33
        if _v is not None: write(_filter(_v, rawExpr=u'$document.fullhref')) # from line 26, col 33.
        write(u'''", data: "''')
        _v = VFFSL(SL,"document.query_string",True) # u'$document.query_string' on line 26, col 61
        if _v is not None: write(_filter(_v, rawExpr=u'$document.query_string')) # from line 26, col 61.
        write(u'''", type: "''')
        _v = VFFSL(SL,"document.request_method",True) # u'$document.request_method' on line 26, col 93
        if _v is not None: write(_filter(_v, rawExpr=u'$document.request_method')) # from line 26, col 93.
        write(u'''"});

        /*
         * Back/Forward support.
         */
        $(window).on("popstate", function(e) {
                if ( e.originalEvent.state == null )
                        return;

                prewikka_loadTab({url: e.originalEvent.state, history:false});
        });

        $(document).on("click", "a:not(.ajax-bypass), area:not(.ajax-bypass)", function(event) {
                if ( $(this).data("confirm") )
                        return false;

                var url = $(this).attr(\'href\');

                if ( ! url || url.indexOf("#") != -1 )
                        return;

                if ( ! check_same_origin(this) ) {
                        window.open(url, "''')
        _v = VFFSL(SL,"env.external_link_target",True) # u'$env.external_link_target' on line 48, col 43
        if _v is not None: write(_filter(_v, rawExpr=u'$env.external_link_target')) # from line 48, col 43.
        write(u'''");
                        return false;
                }

                if ( ! $(this).hasClass("widget-link") )
                        prewikka_loadTab({ url: url });
                else
                        prewikka_widget({ url: url, dialog: { title: $(this).attr(\'title\') }});

                return false;
        });

        $(document).on("click", ":input.widget-link", function() {
                prewikka_widget({
                        url: $(this).closest("form").attr("action"),
                        data: $(this).closest("form").serialize(),
                        dialog: { title: $(this).attr("title") }
                });

                return false;
        });

        $(document).on("submit", "#main form", function() {
                $(this).find("input[name=_download]").remove();

                var data = $(this).serialize();

                if ( $(this).data("clicked") ) {
                        data += "&" + $(this).data("clicked");
                        $(this).removeData("clicked");
                }

                if ( $(this).data("enable-download") ) {
                        $(this).removeData("enable-download");
                        $(this).append(\'<input type="hidden" name="_download" value="true" />\');

                        /* No AJAX for download */
                        return true;
                }

                prewikka_loadTab({
                        url: $(this).attr("action"),
                        type: $(this).attr("method"),
                        data: data,
                        success: function() {
                              $("#main form").trigger("submit-success");
                        },
                        error: function() {
                              $("#main form").trigger("submit-error");
                        },
                        complete: function() {
                              $("#main form").trigger("submit-complete");
                        },

                });

                return false;
        });

        $(document).on("click", "#main form :input[type=submit]", function() {
                var name = $(this).attr("name");
                var value = $(this).attr("value");

                if ( name && value )
                        $(this).closest("form").data("clicked", encodeURIComponent(name) + "=" + encodeURIComponent(value));
        });
});
</script>

<div id="topmenu">
  <div class="topmenu_nav">
    <div class="topmenu_nav_container"></div>
    <div class="topmenu_content">
''')
        for section in VFN(VFFSL(SL,"interface.sections",True),"keys",False)(): # generated from line 121, col 5
            style = ""
            write(u'''
''')
            if VFFSL(SL,"nameToPath",False)(VFFSL(SL,"section",True)) != VFFSL(SL,"interface.active_section",True): # generated from line 124, col 9
                style = "display:none;"
            write(u'''
        <ul style="''')
            _v = VFFSL(SL,"style",True) # u'$style' on line 128, col 20
            if _v is not None: write(_filter(_v, rawExpr=u'$style')) # from line 128, col 20.
            write(u'''" class="nav nav-tabs topmenu_section" id="topmenu_''')
            _v = VFFSL(SL,"nameToPath",False)(VFFSL(SL,"section",True)) # u'$nameToPath($section)' on line 128, col 77
            if _v is not None: write(_filter(_v, rawExpr=u'$nameToPath($section)')) # from line 128, col 77.
            write(u'''">
''')
            for name, views in VFN(VFN(VFFSL(SL,"interface.sections",True),"get",False)(VFFSL(SL,"section",True)),"items",False)(): # generated from line 129, col 9
                firstview = VFN(VFFSL(SL,"views",True),"values",False)()[0]
                write(u'''
''')
                if VFFSL(SL,"prewikka.user",True) and not VFN(VFFSL(SL,"prewikka.user",True),"has",False)(VFFSL(SL,"firstview.view_permissions",True)): # generated from line 132, col 13
                    continue
                write(u'''
''')
                if VFFSL(SL,"nameToPath",False)(VFFSL(SL,"name",True)) == VFFSL(SL,"interface.active_tab",True): # generated from line 136, col 13
                    class_ = 'active'
                else: # generated from line 138, col 13
                    class_ = ''
                write(u'''
            <li role="presentation" class="''')
                _v = VFFSL(SL,"class_",True) # u'$class_' on line 142, col 44
                if _v is not None: write(_filter(_v, rawExpr=u'$class_')) # from line 142, col 44.
                write(u''' topmenu_item"><a href="''')
                _v = VFFSL(SL,"firstview.view_path",True) # u'$firstview.view_path' on line 142, col 75
                if _v is not None: write(_filter(_v, rawExpr=u'$firstview.view_path')) # from line 142, col 75.
                write(u'''" class="topmenu_links">''')
                if False:
                    _(VFFSL(SL,"name",True))
                _v = VFFSL(SL,"_",False)(VFFSL(SL,"name",True)) # u'$_($name)' on line 142, col 119
                if _v is not None: write(_filter(_v, rawExpr=u'$_($name)')) # from line 142, col 119.
                write(u'''</a></li>
''')
            write(u'''        </ul>
''')
        write(u'''    </div>
  </div>
</div>
<a type="button" id="config-button" data-toggle="collapse" data-target=".prewikka-view-config"><i class="fa fa-cog"></i></a>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_83770196
        write(u'''
<div id="_main_viewport"></div>
<div id="_main">
    <div id="ajax-spinner" class="ajax-spinner" style="display:none;">
        <div class="loader">''')
        if False:
            _("Loading")
        _v = VFFSL(SL,"_",False)("Loading") # u'$_("Loading")' on line 155, col 29
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Loading")')) # from line 155, col 29.
        write(u'''</div>
    </div>
    <div id="main" class="content" />
</div>

''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''
''')
        self.toplayout_content(trans=trans)
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_ClassicLayout= 'writeBody'

## END CLASS DEFINITION

if not hasattr(ClassicLayout, '_initCheetahAttributes'):
    templateAPIClass = getattr(ClassicLayout, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(ClassicLayout)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=ClassicLayout()).run()


